/**
 * Variable file 
 * place global variables here:
 *
 * @package Chef Gutenberg Child Theme
 */
/**
 * Mixin file 
 * All our custom mixins
 *
 * @package Chef Gutenberg Child Theme
 * @since 2019
 */
/* Boxsizing shortcut: */
/* Transform shortcuts */
/* Styling placeholders: */
/* Retina images: */
/* "Hard" gradients: */
/* REM font sizes: */
.wp-admin .editor-styles-wrapper .gform_fields {
  list-style: none;
  padding-left: 0;
  margin: 0; }

.gform_wrapper .gfield {
  margin-bottom: 15px; }
  .gform_wrapper .gfield:last-child {
    margin-bottom: 0; }

.gform_wrapper .gfield_label {
  margin-bottom: 8px;
  display: inline-block;
  font-weight: bold;
  font-size: 18px;
  font-size: 1.125rem; }

.gform_wrapper input {
  font-size: 16px;
  font-size: 1rem;
  transition: .3s; }

.gform_wrapper input[type=text], .gform_wrapper input[type=number], .gform_wrapper input[type=email], .gform_wrapper textarea, .gform_wrapper select {
  width: 100%;
  padding: 10px 16px;
  box-sizing: border-box;
  border: 1px solid #999;
  line-height: 1;
  display: block;
  font-size: 16px;
  font-size: 1rem;
  transition: .3s; }
  .gform_wrapper input[type=text]:focus, .gform_wrapper input[type=number]:focus, .gform_wrapper input[type=email]:focus, .gform_wrapper textarea:focus, .gform_wrapper select:focus {
    outline: none;
    border-color: #000; }

.gform_wrapper .gfield_radio input[type="radio"] {
  clip: rect(1px, 1px, 1px, 1px);
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden; }

.gform_wrapper .gfield_radio li {
  margin-bottom: 10px; }
  .gform_wrapper .gfield_radio li:last-child {
    margin-bottom: 0; }

.gform_wrapper .gfield_radio label {
  display: inline-block;
  cursor: pointer;
  position: relative;
  padding-left: 45px;
  font-size: 16px;
  font-size: 1rem; }
  .gform_wrapper .gfield_radio label:hover:before {
    border-color: #000; }

.gform_wrapper .gfield_radio input[type=radio]:focus + label:before {
  border-color: #000; }

.gform_wrapper .gfield_radio label:before {
  content: "";
  display: inline-block;
  width: 25px;
  height: 25px;
  position: absolute;
  left: 0;
  top: 0;
  border: 1px solid #999;
  border-radius: 50%; }

.gform_wrapper .gfield_radio label:after {
  content: "";
  line-height: 1;
  opacity: 0;
  position: absolute;
  height: 11px;
  width: 11px;
  border-radius: 50%;
  left: 7px;
  top: 7px;
  background: #252122;
  transition: .3s; }

.gform_wrapper .gfield_radio input[type=radio]:checked + label:after {
  opacity: 1; }

.gform_wrapper .gfield_checkbox input[type="checkbox"], .gform_wrapper .ginput_container_consent input[type="checkbox"] {
  clip: rect(1px, 1px, 1px, 1px);
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden; }

.gform_wrapper .gfield_checkbox li, .gform_wrapper .ginput_container_consent li {
  margin-bottom: 10px; }
  .gform_wrapper .gfield_checkbox li:last-child, .gform_wrapper .ginput_container_consent li:last-child {
    margin-bottom: 0; }

.gform_wrapper .gfield_checkbox label, .gform_wrapper .ginput_container_consent label {
  display: inline-block;
  cursor: pointer;
  position: relative;
  padding-left: 45px;
  font-size: 16px;
  font-size: 1rem; }
  .gform_wrapper .gfield_checkbox label:hover:before, .gform_wrapper .ginput_container_consent label:hover:before {
    border-color: #000; }

.gform_wrapper .gfield_checkbox input[type=checkbox]:focus + label:before, .gform_wrapper .ginput_container_consent input[type=checkbox]:focus + label:before {
  border-color: #000; }

.gform_wrapper .gfield_checkbox label:before, .gform_wrapper .ginput_container_consent label:before {
  content: "";
  display: inline-block;
  width: 25px;
  height: 25px;
  position: absolute;
  left: 0;
  top: 0px;
  border: 1px solid #999; }

.gform_wrapper .gfield_checkbox label:after, .gform_wrapper .ginput_container_consent label:after {
  content: "\f00c";
  font-family: "Font Awesome 5 Free";
  text-align: center;
  line-height: 10px;
  opacity: 0;
  position: absolute;
  height: 10px;
  width: 25px;
  left: 0;
  top: 8px;
  font-weight: 900;
  font-size: 12px;
  font-size: 0.75rem;
  color: #252122;
  transition: .3s; }

.gform_wrapper .gfield_checkbox input[type=checkbox]:checked + label:after, .gform_wrapper .ginput_container_consent input[type=checkbox]:checked + label:after {
  opacity: 1; }

.gform_wrapper .ginput_container_fileupload {
  border: 1px solid #999;
  padding: 7px 14px; }
  .gform_wrapper .ginput_container_fileupload input {
    font-size: 14px;
    font-size: 0.875rem; }
  .gform_wrapper .ginput_container_fileupload:before {
    content: "\f15b";
    font-family: "Font Awesome 5 free";
    font-weight: 400;
    margin-right: 10px; }

.gform_wrapper .ginput_container_select {
  position: relative;
  z-index: 2;
  cursor: pointer;
  position: relative; }
  .gform_wrapper .ginput_container_select select {
    cursor: pointer;
    appearance: none;
    border-radius: 0px;
    background: #FFF;
    width: 100%;
    line-height: 100%; }
    .gform_wrapper .ginput_container_select select:focus {
      outline: none; }
  .gform_wrapper .ginput_container_select:after {
    content: "";
    height: 38px;
    width: 44px;
    pointer-events: none;
    display: block;
    position: absolute;
    background: #252122;
    bottom: 0;
    right: 0;
    transition: .3s; }
  .gform_wrapper .ginput_container_select:before {
    content: "\f078";
    position: absolute;
    right: 0;
    width: 44px;
    bottom: 5px;
    color: #FFFFFF;
    text-align: center;
    font-weight: 900;
    font-family: "Font Awesome 5 free";
    font-size: 16px;
    font-size: 1rem;
    pointer-events: none;
    z-index: 2; }
  .gform_wrapper .ginput_container_select:hover:after {
    background: #999; }

.gform_wrapper .gfield_description {
  margin-top: 10px;
  font-style: italic;
  font-size: 12px;
  font-size: 0.75rem; }

.gform_footer {
  margin-top: 30px; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
